# kccompare.h File Reference

comparator functions More...

`#include <kccommon.h>`
`#include <kcutil.h>`

## Classes

class | kyotocabinet::Comparator
| Interfrace of comparator of record keys. More...
class | kyotocabinet::LexicalComparator
| Comparator in the lexical order. More...
class | kyotocabinet::LexicalDescendingComparator
| Comparator in the lexical descending order. More...
class | kyotocabinet::DecimalComparator
| Comparator in the decimal order. More...
class | kyotocabinet::DecimalDescendingComparator
| Comparator in the decimal descending order. More...

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Variables

LexicalComparator *const | kyotocabinet::LEXICALCOMP
| Prepared pointer of the comparator in the lexical order.
LexicalDescendingComparator *const | kyotocabinet::LEXICALDESCCOMP
| Prepared pointer of the comparator in the lexical descending order.
DecimalComparator *const | kyotocabinet::DECIMALCOMP
| Prepared pointer of the comparator in the decimal order.
DecimalDescendingComparator *const | kyotocabinet::DECIMALDESCCOMP
| Prepared pointer of the comparator in the decimal descending order.

## Detailed Description

comparator functions